Get all
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
"createdAt": "2025-08-27T22:27:17.071Z",
"deletedAt": null,
"id": "cc7a86eb-28f8-49e0-aa77-eb01bb38ad2b",
"isActive": true,
"isDefault": false,
"isSettlement": true,
"isWhitelisted": true,
"name": "Ledger Wallet",
"settlementFrequency": "DAILY",
"updatedAt": "2025-08-27T22:27:17.071Z"
}
],
"message": "Beneficiaries fetched successfully",
"meta": {
"currentPage": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalItems": 1,
"totalPages": 1
},
"statusCode": 200
}Get all
The endpoint retrieves the list of beneficiaries associated with a specific wallet.
GET
/
v1
/
wallets
/
{walletId}
/
beneficiaries
Get all
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[
{
"address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
"createdAt": "2025-08-27T22:27:17.071Z",
"deletedAt": null,
"id": "cc7a86eb-28f8-49e0-aa77-eb01bb38ad2b",
"isActive": true,
"isDefault": false,
"isSettlement": true,
"isWhitelisted": true,
"name": "Ledger Wallet",
"settlementFrequency": "DAILY",
"updatedAt": "2025-08-27T22:27:17.071Z"
}
]Example:
"Beneficiaries fetched successfully"
Show child attributes
Show child attributes
Example:
200
⌘I

